summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/humanfriendly/humanfriendly-1.25.ebuild')
-rw-r--r--dev-python/humanfriendly/humanfriendly-1.25.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/dev-python/humanfriendly/humanfriendly-1.25.ebuild b/dev-python/humanfriendly/humanfriendly-1.25.ebuild
new file mode 100644
index 00000000000..34fa7dd29e0
--- /dev/null
+++ b/dev-python/humanfriendly/humanfriendly-1.25.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Human friendly output for text interfaces using Python"
+HOMEPAGE="https://pypi.python.org/pypi/humanfriendly https://humanfriendly.readthedocs.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ esetup.py test || die
+}